#pragma once
#include "ThreadBase.h"
#include "DataType.h"
class CUserModule;
class CUSBModule;
class CFileModule;
class CCenterModule : public CThreadBase, public IMsgListener
{
public:
	CCenterModule();
	virtual ~CCenterModule();

	void HeartBeat_Imp();
	void onMsgPdu(CInterProtocl *pdu);
	virtual void DealOneRequestMsg(CInterProtocl *pITP){};
	virtual void DealOneResponseMsg(CInterProtocl *pITP){};
public:
	CUSBModule *m_pUsb;
	CUserModule *m_pUser;
	CFileModule *m_pFile;
};